%{?nodejs_find_provides_and_requires}

%global packagename is-utf8
%global enable_tests 1

Name:		nodejs-is-utf8
Version:	0.2.0
Release:	1%{?dist}
Summary:	Detect if a buffer is utf8 encoded

# No license file in the code, but one has been requested at
# https://github.com/wayfind/is-utf8/issues/3
#
# The package.json file lists the license as BSD
License:	BSD
URL:		https://github.com/wayfind/is-utf8.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:
%endif

Requires:	nodejs

%description
Detect if a buffer is utf8 encoded.


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.txt *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-1
- Initial packaging
